description

# WindowClient class Null safety

Inheritance
  - Object
  - Client
  - WindowClient
Annotations
  - @Native("WindowClient")

## Properties

focused → bool?
  read-only
frameType → String?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String?
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → String?
  read-only, inherited
url → String?
  read-only, inherited
visibilityState → String?
  read-only

## Methods

focus() → Future<WindowClient>
navigate(String url) → Future<WindowClient>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
postMessage(Object message, [List<Object>? transfer]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited